com.versionone

## Class DB.Real

- java.lang.Object
- - com.versionone.DB
  - - com.versionone.DB.Real

- Enclosing class:
    DB

      public static class DB.Real
      extends DB

  DB type for Float

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.versionone.DB

      `DB.BigInt, DB.Bit, DB.DateTime, DB.Int, DB.NullObject, DB.Real, DB.Str`

  - ### Field Summary

    - ### Fields inherited from class com.versionone.DB

      `Null`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Real()` Create a null real
    `Real(double value)` Create from an float
    `Real(Object value)` Construct and set value based on an object If Object is | Value set by String | Float.parseFloat(value) Number | value.floatValue()

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compare this instance to another DB.Real or another Float
    `float` | `getFloatValue()` Return the float as basic type
    `Double` | `getValue()` Return the Double value of this object or null if this instance is null

    - ### Methods inherited from class com.versionone.DB

      `hashCode, isNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Real

          public Real()

      Create a null real

    - #### Real

          public Real(double value)

      Create from an float
      Parameters:
        `value` - - the desired value

    - #### Real

          public Real(Object value)

      Construct and set value based on an object If Object is | Value set by String | Float.parseFloat(value) Number | value.floatValue()
      Parameters:
        `value` - - instance used to set value

  - ### Method Detail

    - #### getValue

          public Double getValue()

      Return the Double value of this object or null if this instance is null
      Specified by:
        `getValue` in class `DB`
      Returns:
        Object

    - #### getFloatValue

          public float getFloatValue()

      Return the float as basic type
      Returns:
        float

    - #### equals

          public boolean equals(Object obj)

      Compare this instance to another DB.Real or another Float
      Specified by:
        `equals` in class `DB`

Copyright © 2021 VersionOne, Inc.. All rights reserved.